import java.awt.*;
import java.util.*;

public class EntityCruiser {
    private int Speed; //Скорость
    private float Weight; //Вес
    private Color BodyColor; //Цвет
    private float Step; //Шаг при перемещении
    private boolean Helipad; //Наличие верт. площадки
    private boolean RocketMines; //Наличие шахт

    //Инициализация
    public void Init(int speed, float weight, Color bodyColor, boolean rocketMines, boolean helipad)
    {
        Random random = new Random();
        Speed = speed <= 0 ? random.nextInt(50, 150) : speed;
        Weight = weight <= 0 ? random.nextInt(50, 150) : weight;
        BodyColor = bodyColor;
        RocketMines = rocketMines;
        Helipad = helipad;
        Step = Speed * 100 / Weight;
    }
    public boolean GetHelipad() {return Helipad;}
    public boolean GetRocketMines() {return RocketMines;}
    public Color GetBodyColor(){
        return BodyColor;
    }
    public float GetStep(){
        return Step;
    }
}
