import java.awt.*;

public class DrawBlock {
    private Block blockCount;

    public void SetBlockCount(int count){
        blockCount = Block.GetBlock(count);
    }

    public void DrawningBlock(int _startPosX, int _startPosY, int _cruiserWidth, Graphics2D g2d, Color bodyColor){
        switch (blockCount)
        {
            case One:
                break;

            case Two:
                DrawFirstDop(_startPosX,_startPosY,_cruiserWidth,g2d,bodyColor);
                break;

            case Three:
                DrawSecondDop(_startPosX,_startPosY,_cruiserWidth,g2d,bodyColor);
                break;
        }
    }
    public void DrawFirstDop(int _startPosX, int _startPosY, int _cruiserWidth, Graphics2D g2d, Color bodyColor) {
        Polygon elementsSec = new Polygon();
        elementsSec.addPoint(_startPosX + 55,_startPosY + 25);
        elementsSec.addPoint(_startPosX + 65,_startPosY + 25);
        elementsSec.addPoint(_startPosX + 65,_startPosY + 35);
        elementsSec.addPoint(_startPosX + 55,_startPosY + 35);
        g2d.setColor(Color.WHITE);
        g2d.fillPolygon(elementsSec);
    }
    public void DrawSecondDop(int _startPosX, int _startPosY, int _cruiserWidth, Graphics2D g2d, Color bodyColor) {
        DrawFirstDop(_startPosX,_startPosY,_cruiserWidth,g2d,bodyColor);
        Polygon elementsThree = new Polygon();
        elementsThree.addPoint(_startPosX + 75,_startPosY + 15);
        elementsThree.addPoint(_startPosX + 85,_startPosY + 15);
        elementsThree.addPoint(_startPosX + 85,_startPosY + 45);
        elementsThree.addPoint(_startPosX + 75,_startPosY + 45);
        g2d.setColor(Color.WHITE);
        g2d.fillPolygon(elementsThree);
    }

}